Bug 1699123

Summary: python-matplotlib-3.0.3-1.fc31 FTBFS: AttributeError: 'bool' object has no attribute 'args'
Product: [Fedora] Fedora Reporter: Miro Hrončok <mhroncok>
Component: python-matplotlibAssignee: Miro Hrončok <mhroncok>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: cstratak, dominik, gwync, jonathan.underwood, paulo.cesar.pereira.de.andrade, python-sig, quantum.analyst, thibault.north, tomspur
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-30 16:58:17 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1701609, 1702273    
Bug Blocks: 1671167, 1686977, 1700317, 1732841    
Attachments:
Description Flags
build.log from Koji
none
root.log from Koji none

Description Miro Hrončok 2019-04-11 20:22:58 UTC
Created attachment 1554633 [details]
build.log from Koji

matplolib FTBFS with errors in tests like this:

[gw2] linux -- Python 3.7.3 /usr/bin/python3
request = <SubRequest 'mpl_test_settings' for <Function test_mathfont_rendering[png-mathfont-stix-45]>>
    @pytest.fixture(autouse=True)
    def mpl_test_settings(request):
        from matplotlib.testing.decorators import _cleanup_cm
    
        with _cleanup_cm():
    
            backend = None
            backend_marker = request.keywords.get('backend')
            if backend_marker is not None:
                assert len(backend_marker.args) == 1, \
                    "Marker 'backend' must specify 1 backend."
                backend = backend_marker.args[0]
                prev_backend = matplotlib.get_backend()
    
            style = '_classic_test'  # Default of cleanup and image_comparison too.
            style_marker = request.keywords.get('style')
            if style_marker is not None:
>               assert len(style_marker.args) == 1, \
                    "Marker 'style' must specify 1 style."
E               AttributeError: 'bool' object has no attribute 'args'
../../BUILDROOT/python-matplotlib-3.0.3-1.fc31.aarch64/usr/lib64/python3.7/site-packages/matplotlib/testing/conftest.py:37: AttributeError

Comment 1 Miro Hrončok 2019-04-11 20:23:27 UTC
Created attachment 1554634 [details]
root.log from Koji

Comment 2 Miro Hrončok 2019-04-11 20:25:13 UTC
This seems like pytest 4 problem, already fixed upstream:

https://github.com/matplotlib/matplotlib/commit/a3b9ef7c7c8750ff65d9341fb20811b2c4c99a73

Comment 4 Miro Hrončok 2019-04-23 10:22:03 UTC
Ready at https://src.fedoraproject.org/rpms/python-matplotlib/pull-request/17


But many tests fail:

+ xvfb-run -a -s '-screen 0 640x480x24' /usr/bin/python3 tests.py -ra -n 6 -m 'not network' -k 'not test_invisible_Line_rendering and not backend_qt5'
Python byte-compilation optimization level: 0
============================= test session starts ==============================
platform linux -- Python 3.7.3, pytest-4.4.1, py-1.8.0, pluggy-0.9.0
rootdir: /builddir/build/BUILD/matplotlib-3.0.3, inifile: pytest.ini
plugins: xdist-1.28.0, forked-1.0.2
gw0 I / gw1 I / gw2 I / gw3 I / gw4 I / gw5 I
gw0 [7568] / gw1 [7568] / gw2 [7568] / gw3 [7568] / gw4 [7568] / gw5 [7568]
.....s...s..s.ss.ss.ss.s..sF.s..F.s....F.x.F.....FF..F...F..s....F.F.Fs. [  0%]
.FFF...F.FF.FFFF...FF........F.FFF..FFFF.FF...F.FF..F.FFFFFFFFF..F.F.FF. [  1%]
...FF.FF.FF..FFFF.F....ssF.FFFFF.s..F.......F.sFF.F...F...F...F...F..FF. [  2%]
.................FF.F.F.......F.............F.F.F..........F.F.F.....FF. [  3%]
F..................F...F.....FF....F.FF.F...F....FF.F.............F..F.. [  4%]
..F...F......F..FFF..........F.F.F...FF.F.FF.F....F........F............ [  5%]
.................F........F......s.......F.F..........................F. [  6%]
......F..s..................Fss.F..s.................................... [  7%]
......ss......sF....F....FFF....FF..ssssFF........Fs..s.s.F.FF.......... [  8%]
.s.F...................XXX.X.............s..F.......F..F....F...F....F.. [  9%]
.........................F.............................F................ [ 10%]
..F.....................F...........Fss.............................s... [ 11%]
........s............F.s.................F...........F............F.F... [ 12%]
.....................sxsxx.x............F...F.F.F.F..FFF................ [ 13%]
.FF........ssss.s......F..F.F..s..F..........FF...........F....F....x.x. [ 14%]
Fx.F.....xF.....F..............s......s.....X.........X..FX....X......... [ 15%]
...F..........F.....F..F...F..F.....FFF..F....F...F.FFFF.F..FF.F......... [ 16%]
...s.....FF............F...F..........................F................. [ 17%]
........................................................................ [ 18%]
........................................................................ [ 19%]
....F......FF.FF..FF.FF.FFFFFFFFFFFFFFFFFF.F.FFFFFF.FFF.F...FFFFFFF.FFFF [ 20%]
FFFF..FF.F..F.F.FF.FF.F..FFFFFF.FFF..F.F....F.FFFFFFFF.F.F.FF..sF..FFFFF [ 20%]
FF..FFFFFFFFFFsFF..FFFF..F.FFF.F...FF..F..FF..FFFFFFFFFFFFFFF..FFFFFFFFF [ 21%]
F.FFFF.FFFFs...FFF..FFFFFFFFFFFFF.FFFFFFFFFFFFFFFF.F..FF.FFFFFF.FFFFF..F [ 22%]
FF.FFFFFFFFFFF.FFFF.FF.FFFFFF.FF.FFFFFFFF..FFF.FFFFFF.FFFFFFFFFFFFFFFFF. [ 23%]
F.FF.F.FFFFFFFFFF.F.FFF.FFFFFF.FFFFFFFFFFFFFFF..FFF.FF.FF.FFFF.FF.FF.FFF [ 24%]
..FFFFFFFFF.FFFFFFFFFF..F.F.FF.FFFFF.FF.FF..FFF.FFF.FFF.FFFFFFFFFFFF.FFF [ 25%]
F..FF.FFFF.FFFFF.F.FF.F.F..FFF..F.FFFFF.FFFF.FFFF.FFF.FF.FF.FFF.FFFFFF.F [ 26%]
FFF.FFFFFFFFFF..FFF.FFFF..FF.F.FFF...FFFFF.F.FF..F.F......F.......F..... [ 27%]
.F.....F....F...F..F..F..F...F...F...F...F...F....F...F..F..F............ [ 28%]
........................................................................ [ 29%]
...........................s............................................ [ 30%]
................................................F.....F....F......F..... [ 31%]
.F...F....F.....F..F...F.......F...............F..............F......... [ 32%]
...F...........F.........................F.......F............F....F.... [ 33%]
.......F......F.....F......F.......F.......F.......F.........F..........F [ 34%]
......F....F....F.......F....F.....F.......F.......F.....F.....F.......F [ 35%]
....F....F...F.....F.F...F....F....F....F....F...F.......F.......F.....F. [ 36%]
.....F.....F......F....F....F.....F........F........F.......F.......F... [ 37%]
..F.....F.......F....F....F......F...F..........FF....F...F.F......F.... [ 38%]
.FF....F..F.......F.........F.........F.........F.......F....F.........F [ 39%]
FFFFFF..........F.FFFF.....F..............................FFFFFF.FF..... [ 40%]
...F.F..F..F.F.F....F.F....F..F..F....F.F.....FF.......F.F....F.F...F..... [ 40%]
...........................F.....F.......F..........F.......F.....F..... [ 41%]
.F.......F.......F.F........F.F....F.....F..F.F.....FF......F......F.F.. [ 42%]
...........F.........F....F.....F......F.......F........F.....F....F.... [ 43%]
.F.........F..........F......F.....F........F.........F........F........F [ 44%]
........F..........F........F.......F.......F........F.....F.....F..F... [ 45%]
...F...........F.....................F.........F..........F............F [ 46%]
.............F.......F.......F.....F......F......F..F...........F......F.. [ 47%]
........F....F.........F.......F......F.......F....F....F.........F.F... [ 48%]
.F....F....F.....F.....F..F.......F.........F....F...F........F......... [ 49%]
....F...........F.....F....F.........F........F.s.......F...F......F.... [ 50%]
.........F.....F....F........F....F.......F........F..F....F............F [ 51%]
F...........F..........F.....F....F.....F....F......F.....F.....F......F. [ 52%]
..F......F...F....F......F.......F......F......F........F........F....... [ 53%]
......................................................................... [ 54%]
........................................................................ [ 55%]
........................................................................ [ 56%]
........................................................................ [ 57%]
........................................................................ [ 58%]
........................................................................ [ 59%]
........................................................................ [ 60%]
........................................................................ [ 61%]
........................................................................ [ 62%]
........................................................................ [ 62%]
......................................................................... [ 63%]
........................................................................ [ 64%]
......................................................................... [ 65%]
.......................................................................... [ 66%]
........................................................................ [ 67%]
.......................................................................... [ 68%]
......................................................................... [ 69%]
......................................................................... [ 70%]
......................................................................... [ 71%]
........................................................................ [ 72%]
........................................................................ [ 73%]
........................................................................ [ 74%]
........................................................................ [ 75%]
......................................................................... [ 76%]
........................................................................ [ 77%]
................s....................................................... [ 78%]
........................................................................ [ 79%]
........F...........F................................................... [ 80%]
........................................................................ [ 81%]
........................................................................ [ 82%]
........................................................................ [ 83%]
........................F....F........F....F...F......F.F..F..F.....F... [ 84%]
....F.......F.........F..F..........F............F..F........FF.F.....F. [ 84%]
.......F.................F........F...F.......F.....F.....F....F..F..FF. [ 85%]
.FF.....FFF....F.F.F..FF...F.FF..xFF..F.F.F..F........F.....F...F......F.. [ 86%]
...F.........F..........F........F............F..F..F..F.F.F..F..F..FFF. [ 87%]
.F...F..F..........FFFFFF.FF.FFFFF.F.FF.F.FF.F.F.F.F.sFF.FF.FF...F..F..F [ 88%]
.F..FFFFF.FFFF.FFF.F..FFFFFF.FF...F.F....F..F..F.FF..F..FF.FFFF.....F.FF. [ 89%]
FFF.F..F..FF...FF.F..F......F..ss.FFF.FF.FFF.FFFFF..FFFF.F...FFFFFF.F.F. [ 90%]
..F....F..F...F.F..F..F...................F.F...............F...F....... [ 91%]
................F..........F............................................. [ 92%]
........................................................................ [ 93%]
.................................................................F...... [ 94%]
..F.FFFFF.FF...F.FFF.F........FFXF.F.FF.F..F.FF.F.FFF.....F..F...F.FF.FF [ 95%]
...F.sF.....F....F....F...................F....F........F..............F. [ 96%]
........................F......F...F...................F.....F.......... [ 97%]
....F......F.ssFF...F..............................................F.... [ 98%]
........F..F.......FF...FF.......FFFFF.....FF..F.FFFFF.FF..F...FF.F.F...F [ 99%]
F.FFF.......F.F..........................F..FF....                       [100%]
= 1228 failed, 6257 passed, 65 skipped, 10 xfailed, 9 xpassed, 7664 warnings in 140.05 seconds =


The error seem to be:


TypeError: can only concatenate str (not "MarkDecorator") to str


So the patch is likely not complete.

Comment 6 Miro Hrončok 2019-05-30 16:58:17 UTC
I've merged my PR.